uima-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "D. Heinze" <dhei...@gnoetics.com>
Subject RE: Apache UIMA Java sdk 3.0.0 released
Date Wed, 21 Mar 2018 19:58:32 GMT
Thanks.  I've spent a bit of time trying to ensure that all the XML
dependencies are up-to-date.  Xalan and Xerces (both of which are pulled in
as dependencies by other jars) are both up-to-date.  These warnings seem to
be something that comes around every few years.

I see from the developers list that UIMA-AS may be expected sometime soon?

Thanks / Dan

-----Original Message-----
From: Richard Eckart de Castilho [mailto:rec@apache.org] 
Sent: Wednesday, March 21, 2018 10:11 AM
To: user@uima.apache.org
Subject: Re: Apache UIMA Java sdk 3.0.0 released

On 20.03.2018, at 15:31, D. Heinze <dheinze@gnoetics.com> wrote:
> 
> Yes, I fixed some old dependencies and got rid of the XML errors.  Now 
> I am getting the following warning when calling the code below...  
> Seems this was an old problem that was fixed several UIMA releases 
> ago.  The only old UIMA thing I have in dependencies is uimafit1.4 
> which is for some deprecated code that will eventually be removed.
> 
> WARN  [                          uima] SAXTransformerFactory didn't
> recognize setting attribute
> http://javax.xml.XMLConstants/property/accessExternalDTD
> WARN  [                          uima] SAXTransformerFactory didn't
> recognize setting attribute
> http://javax.xml.XMLConstants/property/accessExternalStylesheet

UIMA is trying to configure the XML parser to avoid potential security
problems. These messages are issued when the underlying XML parser does not
support the respective configuration properties. The code should work
nevertheless although it might be a good idea to check if you have any
additional "old" XML dependencies which might cause the default JDK XML
implementations not to be used, maybe a Xalan?

-- Richard=


Mime
View raw message